{% load static %}
<!DOCTYPE html>

<html lang="es">
  <head>
      <!--- Meta Tags-->
      <meta charset="utf-8">
      <meta name="viewport" content="width = device-width, initial-scale =1.0">
      <!--Bootstrap links-->
      <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
      
      <!--Link a estilos-->
      <link rel="stylesheet" href="{% static 'jaguarete/template.css' %}">
      
      <!--Link a scripts-->
      <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
      <script src="https://cdn.tiny.cloud/1/no-api-key/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

      {% block Head %}
      
      {% endblock Head %}

    </head>


  <body>
    <!--INICIO DEL HEADER-->
      <header>
        <!--Imagen-->
        <div class = "logo">
          <img width="20%" src=https://gimnasioyaguarete.com/wp-content/uploads/2019/11/yaguarete2-1.png />
        </div>
        <!--Botones encabezado-->
        <div class="blockbotones">
          {% if user.is_authenticated %}
            <h3 style="color: darkorange;">Estas conectado como: {{ user.get_username }} </h3> 
            <a style='color: black;' id="loggout" role="button" class="btn btn-outline-warning btn-sm" href="{% url 'logout'%}?next={{request.path}}">Salir</a>
            {% if not user.is_superuser %}
              <button class="btn btn-lg" onclick="window.location.href='/VerCarrito'">Carrito</button>
            {% endif %}
          {% else %}                  
            <button class="btn btn-lg" onclick="window.location.href='/accounts/login'">Login</button>
            <button class="btn btn-lg" onclick="window.location.href='/registrarse/'">Registro</button>
            <button class="btn btn-lg" onclick="window.location.href='/VerCarrito'">Carrito</button>
          {% endif %} 
        </div>
      </header>
    <!--FIN DEL HEADER-->

    <!--INICIO DEL MENU-->
      <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
          <!--COLAPSO EN PANTALLA CHICA-->
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarsExample05" aria-controls="navbarsExample05" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <!--FIN COLAPSO EN PANTALLA CHICA-->

          <!--BARRA DE MENU-->
          <div class="collapse navbar-collapse" id="navbarsExample05">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="navbar-item">
                  <a class="nav-link" aria-current="page" href="{% url 'Jaguarete:inicio' %}">Home</a>
                </li>
                  
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="dropdown04" data-bs-toggle="dropdown" aria-expanded="false">Categorias</a>
                  <ul class="dropdown-menu" aria-labelledby="dropdown05">
                    {% for categ in lista_Categorias %}
                    <li><a class="dropdown-item" href="{% url 'Jaguarete:BusquedaCategoria' categ.id %}">{{categ}}</a></li>
                    {% endfor %}
                  </ul>
                </li>

                <li class="nav-item">
                  <a class="nav-link" href="{% url 'Jaguarete:acercade' %}">Acerca de...</a>
                </li>

                <li class="nav-item">
                  <a class="nav-link" href="mailto:contacto@jaguarete.com">Contacto</a>
                </li>
                {% if user.is_superuser %}
                <li class="nav-item">
                  <a class="nav-link" href="{% url 'Jaguarete:ProductoNuevo' %}">Agregar producto</a>
                </li>
                {% endif %}
            </ul>

            <form>
              <input class="form-control" type="text" placeholder="Search" aria-label="Search">
              <button class="btn btn-dark" type="submit">Buscar</button>
            </form>
          </div>
          <!--FIN DE BARRA DE MENU-->
        </div>
      </nav>
    <!--fIN DE MENU-->

    <!--INICIO DEL CUERPO-->
    {% block Body %}
 
    {% endblock Body %}
    <!--FIN DEL CUERPO-->

    <!--INICIO DEL FOOTER-->
      <footer>
          JAGUARETE KAA S.A Copyright
        <p class="programador">Juan Patricio Narvaja</p>
      </footer>
    <!--FIN DEL FOOTER-->

      <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

  </body>
</html>